<?php

namespace ThurData\Servers\KerioEmail\App\Libs\Kerio\Components\Api\Soap\Interfaces;


use ThurData\Servers\KerioEmail\App\Libs\Kerio\Components\Api\Soap\Client;

/**
 *
 * Created by PhpStorm.
 * User: ThurData
 * Date: 09.09.19
 * Time: 10:05
 * Class AbstractApiClient
 */
class AbstractApiClient
{
    /**
     * @var Client
     */
    protected $client;

    /**
     * AbstractApiClient constructor.
     * @param Client|null $client
     */
    public function __construct(Client $client = null)
    {
        $this->setClient($client);
    }

    /**
     * @return Client
     */
    public function getClient()
    {
        return $this->client;
    }

    /**
     * @param Client|null $client
     * @return $this
     */
    public function setClient(Client $client = null)
    {
        $this->client = $client;
        return $this;
    }


}